The layouts API provides read access to global groups β reusable layout regions that could be shared across CMS templates in the design manager. These are a legacy concept from the older HubSpot CMS template system.Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.com/docs/llms.txt
Use this file to discover all available pages before exploring further.
Endpoints
| Endpoint | Path |
|---|---|
| List layouts | GET /content/api/v2/layouts |
| Get layout by ID | GET /content/api/v2/layouts/{layoutId} |
| Get auto-save buffer | GET /content/api/v2/layouts/{layoutId}/buffer |
| Check buffer for changes | GET /content/api/v2/layouts/{layoutId}/has-buffered-changes |
| List layout versions | GET /content/api/v2/layouts/{layoutId}/versions |
| Get layout version | GET /content/api/v2/layouts/{layoutId}/versions/{versionId} |